%define debug_package %{nil}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	Tools for the extraction of digital artifacts from volatile memory (RAM) images

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		Volatility
Version:	2.4
%define		ReleaseDate 20150630
Release:	9%{?dist}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/volatility/

Source0:	volatility-%{version}.tar.gz
Source1:	CheatSheet_v%{version}.pdf
Source2:	mimikatz.py-20140325
Patch1:		volatility-%{version}-%{ReleaseDate}-patch-001
BuildRoot:	%{buildroot}
BuildRequires:	%(basename %{__python})
BuildRequires:	%(basename %{__python})-imaging
BuildRequires:	yara-python distorm3 %(basename %{__python})-crypto
Requires:	yara-python distorm3 %(basename %{__python})-crypto

%if 0%{?centos} == 5
%define	__os_install_post %__python26_os_install_post
%endif

%description
The Volatility Framework is a completely open collection of tools,
implemented in Python under the GNU General Public License, for the
extraction of digital artifacts from volatile memory (RAM) images. The
extraction techniques are performed completely independent of the system
being investigated but offer unprecedented visibilty into the runtime
state of the system. The framework is intended to introduce people to the
techniques and complexities associated with extracting digital artifacts
from volatile memory images and provide a platform for further work into
this exciting area of research.

The Volatility Framework demonstrates our committment to and belief
in the importance of open source digital investigation tools. Volatile
Systems is committed to the belief that the technical procedures used to
extract digital evidence should be open to peer analysis and review. We
also believe this is in the best interest of the digital investigation
community, as it helps increase the communal knowledge about systems we
are forced to investigate. Similarly, we do not believe the availability
of these tools should be restricted and therefore encourage people to
modify, extend, and make derivative works, as permitted by the GPL.

%prep
%setup -n volatility-%{version}
%patch1 -p1
cp %{SOURCE1}  $RPM_BUILD_DIR/volatility-%{version}

%build
%__python setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}" --no-compile
%__install -d %{buildroot}/%{_bindir}
%if 0%{?rhel} == 5
sed --in-place '1s=\/.*\/python=%__python=' vol.py
%endif
%__install -m 755 vol.py %{buildroot}/%{_bindir}
#%__install -m 755 vol.py %{buildroot}/%{_bindir}/vol
#%__install -m 755 vol.py %{buildroot}/%{_bindir}/volatility
ln -s vol.py %{buildroot}/%{_bindir}/vol
ln -s vol.py %{buildroot}/%{_bindir}/volatility
cp %{SOURCE2} %{buildroot}/%{python_sitelib}/volatility/plugins/mimikatz.py
%__python vol.py -h
%__install -m 644 v*.py*  %{buildroot}%{python_sitelib}
/bin/rm -rf  %{buildroot}/usr/tools

%clean
# %{__rm} -rf %{buildroot}

%files
%defattr(444, bin, bin, 0755)
%doc AUTHORS.txt CHANGELOG.txt CREDITS.txt LICENSE.txt MANIFEST.in README.txt LEGAL.txt PKG-INFO CheatSheet_v%{version}.pdf
%attr(555, bin, bin)	%{_bindir}/vol.py*
%{_bindir}/vol
%{_bindir}/volatility
%attr(444, bin, bin)	%{python_sitelib}/vol*.py*
%attr(444, bin, bin)	%{python_sitelib}/volatility/*.py*
%attr(444, bin, bin)	%{python_sitelib}/volatility/*/*.py*
%attr(444, bin, bin)	%{python_sitelib}/volatility/*/*/*.py*
%attr(444, bin, bin)	%{python_sitelib}/volatility/*/*/*/*.py*
%dir			%{python_sitelib}/volatility
%if 0%{?fedora} >= 17
%dir			%{python_sitelib}/volatility-%{version}*.egg-info
%attr(444, bin, bin) 	%{python_sitelib}/volatility-%{version}*.egg-info/*
%else
%attr(444, bin, bin) 	%{python_sitelib}/volatility-%{version}*.egg-info
%endif
%dir			%{python_sitelib}/volatility/plugins
%dir			%{python_sitelib}/volatility/plugins/addrspaces
%dir			%{python_sitelib}/volatility/plugins/registry
%dir			%{python_sitelib}/volatility/plugins/overlays
%dir			%{python_sitelib}/volatility/plugins/overlays/windows
%dir			%{python_sitelib}/volatility/win32
%attr(444, bin, bin)	/usr/contrib/plugins/*.py*
%attr(444, bin, bin)	/usr/contrib/library_example/*.py*
%attr(444, bin, bin)	/usr/contrib/plugins/aspaces/*.py*
%attr(444, bin, bin)	/usr/contrib/plugins/malware/*.py*

%changelog
* Tue Jun 30 2015 Lawrence R. Rogers <lrr@cert.org> 2.4-9
* Release 2.4-9
	See https://code.google.com/p/volatility/source/list for a list of changes

* Fri Mar 27 2015 Lawrence R. Rogers <lrr@cert.org> 2.4-8
* Release 2.4-8
	Added the mimikatz.py plugin from 2014-03-25.

* Mon Mar 23 2015 Lawrence R. Rogers <lrr@cert.org> 2.4-7
* Release 2.4-7
	See https://code.google.com/p/volatility/source/list for a list of changes

* Mon Feb  9 2015 Lawrence R. Rogers <lrr@cert.org> 2.4-6
* Release 2.4-6
	See https://code.google.com/p/volatility/source/list for a list of changes
	Added version 2.4 cheat sheet

* Mon Nov  3 2014 Lawrence R. Rogers <lrr@cert.org> 2.4-5
* Release 2.4-5
	See https://code.google.com/p/volatility/source/list for a list of changes

* Mon Nov  3 2014 Lawrence R. Rogers <lrr@cert.org> 2.4-4
* Release 2.4-4
	See https://code.google.com/p/volatility/source/list for a list of changes

* Thu Oct  9 2014 Lawrence R. Rogers <lrr@cert.org> 2.4-3
* Release 2.4-3
	See https://code.google.com/p/volatility/source/list for a list of changes

* Tue Sep 23 2014 Lawrence R. Rogers <lrr@cert.org> 2.4-2
* Release 2.4-2
	See https://code.google.com/p/volatility/source/list for a list of changes

* Thu Aug 14 2014 Lawrence R. Rogers <lrr@cert.org> 2.4-1
* Release 2.4-1
	See https://code.google.com/p/volatility/source/list for a list of changes

* Mon Jan 20 2014 Lawrence R. Rogers <lrr@cert.org> 2.3.1-2
* Release 2.3.1-2
	Rebuild for yara-2.0.0.

* Wed Oct 30 2013 Lawrence R. Rogers <lrr@cert.org> 2.3.1-1
* Release 2.3.1-1
	See https://code.google.com/p/volatility/source/list for a list of changes

* Wed Oct 30 2013 Lawrence R. Rogers <lrr@cert.org> 2.3-1
* Release 2.3-1
	See https://code.google.com/p/volatility/source/list for a list of changes

* Mon Oct 1 2012 Lawrence R. Rogers <lrr@cert.org> 2.2-1
* Release 2.2-1
	See https://code.google.com/p/volatility/source/list for a list of changes

* Sat Jan 7 2012 Lawrence R. Rogers <lrr@cert.org> 2.0.1-3
* Release 2.0.1-3
	Added revision R134 of malware.py from the Malware Cookbook (http://www.malwarecookbook.com/)
	It includes the following:
		r134	remove CheckPoolIndex on IoFs pool scanner
		r133 	add --physical-offset option to psxview. Fixes Issue #37
		r131 	compat change for timers plugin on 2.0 and 2.1
		r127 	malware.py compatibility changes to allow easy integration to vol 2.0 and vol 2.1 alpha
		r126 	revert changes to malware.py r124 - incompatible with vol2.0
		r124 	update malware plugins with changes made to main branch in Issue 1137 (http://code.google.com/p/volatility/source/detail?r=1137)
		r112 	fix hex formatting issue in timers plugin
		r111 	add timers plugin 

* Tue Aug 23 2011 Lawrence R. Rogers <lrr@cert.org> 2.0.1-2
* Release 2.0.1-2
	Added malware.py from the Malware Cookbook (http://www.malwarecookbook.com/)

* Tue Aug 2 2011 Lawrence R. Rogers <lrr@cert.org> 2.0-2
* Release 2.0-2
	Path to python incorrectly specified for RHEL

* Mon Aug 1 2011 Lawrence R. Rogers <lrr@cert.org> 2.0-1
* Release 2.0-1
	New version
	See https://code.google.com/p/volatility/updates/list for changes

* Thu Jun 9 2011 Lawrence R. Rogers <lrr@cert.org> 1.4python_rc1-1
* Release 1.4_rc1-1
	New version
